Subject: Re: [6tisch] call for review: draft-ietf-6tisch-msf-04

From: Tengfei Chang <[email-masked]>
Date: Fri, 9 Aug 2019 13:04:36 +0200

Thanks Tero and Pascal for the comments!

I understand What Pascal and Tero are saying. According to the discussion
above and during the IETF 105 6TiSCH meeting, I would add the following
content in the next version of the draft in Rule of Celllist section:

Since  the Cell is randomly selected, there is a non-zero chance that
several nodes in vicinity are using the same cells.
An implementer implements MSF MAY implement a CCA strategy to monitor the
Tx cell before using it to avoid this situation.
The node MAY configure the Tx cell to be installed as Rx cell to listen any
incoming frames.
Within a pre-defined time window, if there is no frames received, the Tx
cell will replace the Rx cell to transmit frames.

The content will be something like this, we can rephrase it later.

Please let me know what you think. Thanks!

Tengfei

On Mon, Jul 22, 2019 at 5:35 PM Tero Kivinen <[email-masked]> wrote:

> Pascal Thubert (pthubert) writes:
> > In a 6TiSCH network, CCA is useless between synchronized devices because
> > they’ll talk at the same time. So LBT must be done some other way.
>
> Note, that 802.15.4 do allow doing CCA if TschCca was set on when
> MLME-TSCHE-MODE.request primitive is called to turn TSCH mode on. In
> that case the node will do CCA at macTsCcaOffset time for macTsCca,
> and all this is done before the actual macTsTxOffset happens, i.e.,
> before the node is supposed to send its frame. This CCA does not
> protect against other nodes in the TSCH, but it will protect against
> other users on the same band, thus it should be enough for the legal
> LBT requirements.
>
> See figure 6-30 of 802.15.4-2015 in Section 6.5.4.1 and Section
> 6.2.5.2 covering TSCH CCA algorithm.
>
> > The bright side is that the future collision can be detected before it
> even
> > happens. Doing CCA on cells before allocating them, etc… I think you must
> > provide a method for that. A trade off would be to provide that method
> in the
> > draft and make it optional.
>
> Note, that doing CCA on cells is bit pointless, as that will only
> detect someone inside the same syncronized network using that slot, it
> will not detect anybody else. I think it would be better to get
> information of allocated slots from some kind of centralized node,
> keeping track of nodes allocated and making sure there is no
> collisions inside that one network.
>
> Also, you cannot use the normal TSCH CCA for that, as it is done
> BEFORE the actual time for TSCH frame to be sent on the channel. I do
> not think there is a good way to do that specified in the 802.15.4. In
> theory you could do it by configuring the specific slot for receiving
> before starting to use it for transmission, and enabling promiscuous
> mode, so you get all frames even when they are not addressed to you.
>
> So requiring such feature to be provided for 6TiSCH to work, might
> make it so that not all radios can do this, depending how much of TSCH
> is actually implemented on MAC and how much is implemented in upper
> layer.
> --
> [email-masked]
>

-- 
Chang Tengfei,
Postdoctoral Research Engineer, Inria

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 9 Aug 2019 13:02:15 +0000

Great, Tengfei

This is very much what I was asking for.

Regards,

Pascal

Le 9 août 2019 à 13:05, Tengfei Chang <[email-masked]<mailto:[email-masked]>> a écrit :

I understand What Pascal and Tero are saying. According to the discussion above and during the IETF 105 6TiSCH meeting, I would add the following content in the next version of the draft in Rule of Celllist section:

Since  the Cell is randomly selected, there is a non-zero chance that several nodes in vicinity are using the same cells.
An implementer implements MSF MAY implement a CCA strategy to monitor the Tx cell before using it to avoid this situation.
The node MAY configure the Tx cell to be installed as Rx cell to listen any incoming frames.
Within a pre-defined time window, if there is no frames received, the Tx cell will replace the Rx cell to transmit frames.

Tengfei

On Mon, Jul 22, 2019 at 5:35 PM Tero Kivinen <[email-masked]<mailto:[email-masked]>> wrote:

> The bright side is that the future collision can be detected before it even
> provide a method for that. A trade off would be to provide that method in the

So requiring such feature to be provided for 6TiSCH to work, might
make it so that not all radios can do this, depending how much of TSCH
is actually implemented on MAC and how much is implemented in upper
layer.
--
[email-masked]<mailto:[email-masked]>